Skip to content
Skip to main content
POST
https://api.us.nylas.com/v3/scheduling/configurations/{configuration_id}/import-group-events

Import group events

Imports existing events to your group events Configuration. You can import up to 20 events per request.

Works with an API key or an IAM API key with the configurations.create permission.

Parameters

Path parameters

configuration_id*string

The ID of the Configuration object to access.

Request body

Import group event

Array of object
calendar_id*string

The ID of the calendar to access.

Example: "primary"
capacitynumber

The maximum number of attendees allowed in the event. If not specified, Nylas uses the default capacity for your Configuration.

Default: 10
Example: 50
min: 1max: 500
event_id*string

ID of the event to import.

Example: "5d3qmne77v32r8l4phyuksl2x"
exceptionsarray<object>

An array of events to create exceptions for.

participantsarray<object>

An array of participants to include in the event booking. If you don't specify at least one participant, Nylas uses the event organizer instead.

Responses

request_idstring

The request ID.

dataarray<object>
POSThttps://api.us.nylas.com/v3/scheduling/configurations/{configuration_id}/import-group-events

Find your API key in the Nylas Dashboard under API Keys in your application settings.

configuration_idrequiredstring

The ID of the Configuration object to access.

Loading editor...

Autocomplete and validation come from this endpoint's request schema.